package org.diagbot.nlp.util;

/**
 * Created by Administrator on 2017/11/8.
 */
public enum NegativeEnum {
    NUMBER("0"), SYMPTOM("1"), SYMPTOM_INDEX("41"), EVENT_TIME("2"), EVENT_TIME_DESC("40"), BODY_PART("3"), PROPERTY("4"), CAUSE("5"), DEEP("6"), DEEP_QUANTIFIER("43"), FEMININE("7"), POSITIVE("8"),
    UNIT("9"), MEDICINE("10"), TREATMENT("11"),
    LIS_TYPE("12"), LIS_NAME("13"), LIS_RESULT("14"), WAY("15"),
    PACS_NAME("16"), PACS_RESULT("17"),
    DISEASE("18"), JOIN("19"), POSITION("20"), FAMILY("21"), FOOD("23"), PAST("24"), OPERATION("25"),
    SYMPTOM_PERFORMANCE("26"), NUMBER_QUANTIFIER("27"), DIGITS("28"),
    OTHER("44"),
    VITAL_INDEX("33"), VITAL_INDEX_VALUE("34"), VITAL_RESULT("35"),
    ADDRESS("36"), PERSON("38"), PERSON_FEATURE_DESC("39"), PUB_NAME("46"), MEDICINE_NAME("53"),MEDICINE_PRD("54"),
    RETURN_VISIT("68"), DIAG_STAND("70");
    private String value;

    NegativeEnum(String value) {
        this.value = value;
    }

    public String toString() {
        return value;
    }

    public static org.diagbot.nlp.util.NegativeEnum parseOfValue(String value) {
        if (value == null) {
            return org.diagbot.nlp.util.NegativeEnum.OTHER;
        }
        org.diagbot.nlp.util.NegativeEnum negativeEnum = org.diagbot.nlp.util.NegativeEnum.OTHER;
        switch (value) {
            case "0":
                negativeEnum = org.diagbot.nlp.util.NegativeEnum.NUMBER;
                break;
            case "1":
                negativeEnum = org.diagbot.nlp.util.NegativeEnum.SYMPTOM;
                break;
            case "2":
                negativeEnum = org.diagbot.nlp.util.NegativeEnum.EVENT_TIME;
                break;
            case "3":
                negativeEnum = org.diagbot.nlp.util.NegativeEnum.BODY_PART;
                break;
            case "4":
                negativeEnum = org.diagbot.nlp.util.NegativeEnum.PROPERTY;
                break;
            case "5":
                negativeEnum = org.diagbot.nlp.util.NegativeEnum.CAUSE;
                break;
            case "6":
                negativeEnum = org.diagbot.nlp.util.NegativeEnum.DEEP;
                break;
            case "7":
                negativeEnum = org.diagbot.nlp.util.NegativeEnum.FEMININE;
                break;
            case "8":
                negativeEnum = org.diagbot.nlp.util.NegativeEnum.POSITIVE;
                break;
            case "9":
                negativeEnum = org.diagbot.nlp.util.NegativeEnum.UNIT;
                break;
            case "10":
                negativeEnum = org.diagbot.nlp.util.NegativeEnum.MEDICINE;
                break;
            case "11":
                negativeEnum = org.diagbot.nlp.util.NegativeEnum.TREATMENT;
                break;
            case "12":
                negativeEnum = NegativeEnum.LIS_TYPE;
                break;
            case "13":
                negativeEnum = org.diagbot.nlp.util.NegativeEnum.LIS_NAME;
                break;
            case "14":
                negativeEnum = org.diagbot.nlp.util.NegativeEnum.LIS_RESULT;
                break;
            case "15":
                negativeEnum = org.diagbot.nlp.util.NegativeEnum.WAY;
                break;
            case "16":
                negativeEnum = org.diagbot.nlp.util.NegativeEnum.PACS_NAME;
                break;
            case "17":
                negativeEnum = org.diagbot.nlp.util.NegativeEnum.PACS_RESULT;
                break;
            case "18":
                negativeEnum = org.diagbot.nlp.util.NegativeEnum.DISEASE;
                break;
            case "19":
                negativeEnum = org.diagbot.nlp.util.NegativeEnum.JOIN;
                break;
            case "20":
                negativeEnum = NegativeEnum.POSITION;
                break;
            case "21":
                negativeEnum = NegativeEnum.FAMILY;
                break;
            case "23":
                negativeEnum = NegativeEnum.FOOD;
                break;
            case "24":
                negativeEnum = NegativeEnum.PAST;
                break;
            case "25":
                negativeEnum = NegativeEnum.OPERATION;
                break;
            case "26":
                negativeEnum = NegativeEnum.SYMPTOM_PERFORMANCE;
                break;
            case "27":
                negativeEnum = NegativeEnum.NUMBER_QUANTIFIER;
                break;
            case "28":
                negativeEnum = NegativeEnum.DIGITS;
                break;
            //            case "44":
            //                negativeEnum = NegativeEnum.SCALE;
            //                break;
            case "33":
                negativeEnum = org.diagbot.nlp.util.NegativeEnum.VITAL_INDEX;
                break;
            case "34":
                negativeEnum = org.diagbot.nlp.util.NegativeEnum.VITAL_INDEX_VALUE;
                break;
            case "35":
                negativeEnum = org.diagbot.nlp.util.NegativeEnum.VITAL_RESULT;
                break;
            case "36":
                negativeEnum = NegativeEnum.ADDRESS;
                break;
            case "38":
                negativeEnum = NegativeEnum.PERSON;
                break;
            case "39":
                negativeEnum = NegativeEnum.PERSON_FEATURE_DESC;
                break;
            case "40":
                negativeEnum = NegativeEnum.EVENT_TIME_DESC;
                break;
            case "41":
                negativeEnum = NegativeEnum.SYMPTOM_INDEX;
                break;
            case "43":
                negativeEnum = NegativeEnum.DEEP_QUANTIFIER;
                break;
            case "44":
                negativeEnum = org.diagbot.nlp.util.NegativeEnum.OTHER;
                break;
            case "46":
                negativeEnum = NegativeEnum.PUB_NAME;
                break;
            case "53":
                negativeEnum = NegativeEnum.MEDICINE_NAME;
                break;
            case "54":
                negativeEnum = NegativeEnum.MEDICINE_PRD;
                break;
            case "68":
                negativeEnum = NegativeEnum.RETURN_VISIT;
                break;
            case "70":
                negativeEnum = NegativeEnum.DIAG_STAND;
                break;
        }
        return negativeEnum;
    }
}
